# Class DefaultMenuBarFactory

java.lang.Object
jam.framework.DefaultMenuBarFactory

All Implemented Interfaces:
  `MenuBarFactory`

Direct Known Subclasses:
  `ConsoleMenuBarFactory, DemoMenuBarFactory, MultiDocMenuBarFactory, SingleDocMenuBarFactory`

public class DefaultMenuBarFactory extends Object implements MenuBarFactory

Author:
  rambaut Date: Dec 26, 2004 Time: 10:55:55 AM

## Field Summary

### Fields inherited from interface MenuBarFactory

`MENU_MASK`

## Constructor Summary

Constructors
Constructor
Description
`DefaultMenuBarFactory()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`deregisterMenuFactories()`
`final void`
`populateMenuBar(JMenuBar menuBar, AbstractFrame frame)`
`final void`
`registerMenuFactory(MenuFactory menuFactory)`
`final void`
`registerPermanentMenuFactory(MenuFactory menuFactory)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultMenuBarFactory

public DefaultMenuBarFactory()

## Method Details

### populateMenuBar

public final void populateMenuBar(JMenuBar menuBar, AbstractFrame frame)

Specified by:
  `populateMenuBar` in interface `MenuBarFactory`

### deregisterMenuFactories

public final void deregisterMenuFactories()

Specified by:
  `deregisterMenuFactories` in interface `MenuBarFactory`

### registerPermanentMenuFactory

public final void registerPermanentMenuFactory(MenuFactory menuFactory)

Specified by:
  `registerPermanentMenuFactory` in interface `MenuBarFactory`

### registerMenuFactory

public final void registerMenuFactory(MenuFactory menuFactory)

Specified by:
  `registerMenuFactory` in interface `MenuBarFactory`